Gtk-WARNING **: /opt/libreoffice3.6/program/../ure-link/lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /usr/lib/i386-linux-gnu/gtk-2.0/2.10.0/engines/liboxygen-gtk.so)

classic Classic list List threaded Threaded
20 messages Options
gericom gericom
Reply | Threaded
Open this post in threaded view
|

Gtk-WARNING **: /opt/libreoffice3.6/program/../ure-link/lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /usr/lib/i386-linux-gnu/gtk-2.0/2.10.0/engines/liboxygen-gtk.so)

Gtk-WARNING **: /opt/libreoffice3.6/program/../ure-link/lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /usr/lib/i386-linux-gnu/gtk-2.0/2.10.0/engines/liboxygen-gtk.so)

If i am using the local version of libstdc++.so.6 LO doesn't want even to start, but with the lo preinstalled libstdc++ it's just giving me that error and crashing.

LibreOffice 3.6.0-RC1 on Debian unstable

Also tried with new profiles and so on...

Thanx,
Nikola Yanev
Ruslan Kabatsayev Ruslan Kabatsayev
Reply | Threaded
Open this post in threaded view
|

Re: Gtk-WARNING **: /opt/libreoffice3.6/program/../ure-link/lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /usr/lib/i386-linux-gnu/gtk-2.0/2.10.0/engines/liboxygen-gtk.so)

Hi,

You should compile LO with --with-system-stdlibs to make plugins
(oxygen-gtk theme) not conflict with custom stdc++.

Regards,
Ruslan

On Sat, Jul 14, 2012 at 12:37 PM, gericom <[hidden email]> wrote:

> Gtk-WARNING **: /opt/libreoffice3.6/program/../ure-link/lib/libstdc++.so.6:
> version `GLIBCXX_3.4.11' not found (required by
> /usr/lib/i386-linux-gnu/gtk-2.0/2.10.0/engines/liboxygen-gtk.so)
>
> If i am using the local version of libstdc++.so.6 LO doesn't want even to
> start, but with the lo preinstalled libstdc++ it's just giving me that error
> and crashing.
>
> LibreOffice 3.6.0-RC1 on Debian unstable
>
> Also tried with new profiles and so on...
>
> Thanx,
> Nikola Yanev
>
> --
> View this message in context: http://nabble.documentfoundation.org/Gtk-WARNING-opt-libreoffice3-6-program-ure-link-lib-libstdc-so-6-version-GLIBCXX-3-4-11-not-found-re-tp3995424.html
> Sent from the Dev mailing list archive at Nabble.com.
> _______________________________________________
> LibreOffice mailing list
> [hidden email]
> http://lists.freedesktop.org/mailman/listinfo/libreoffice
_______________________________________________
LibreOffice mailing list
[hidden email]
http://lists.freedesktop.org/mailman/listinfo/libreoffice
gericom gericom
Reply | Threaded
Open this post in threaded view
|

Re: Gtk-WARNING **: /opt/libreoffice3.6/program/../ure-link/lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /usr/lib/i386-linux-gnu/gtk-2.0/2.10.0/engines/liboxygen-gtk.so)

I am talking about the one downloaded from the doc.foundation preleases.

On Jul 14, 2012 12:47 PM, "Ruslan Kabatsayev" <[hidden email]> wrote:
Hi,

You should compile LO with --with-system-stdlibs to make plugins
(oxygen-gtk theme) not conflict with custom stdc++.

Regards,
Ruslan

On Sat, Jul 14, 2012 at 12:37 PM, gericom <[hidden email]> wrote:
> Gtk-WARNING **: /opt/libreoffice3.6/program/../ure-link/lib/libstdc++.so.6:
> version `GLIBCXX_3.4.11' not found (required by
> /usr/lib/i386-linux-gnu/gtk-2.0/2.10.0/engines/liboxygen-gtk.so)
>
> If i am using the local version of libstdc++.so.6 LO doesn't want even to
> start, but with the lo preinstalled libstdc++ it's just giving me that error
> and crashing.
>
> LibreOffice 3.6.0-RC1 on Debian unstable
>
> Also tried with new profiles and so on...
>
> Thanx,
> Nikola Yanev
>
> --
> View this message in context: http://nabble.documentfoundation.org/Gtk-WARNING-opt-libreoffice3-6-program-ure-link-lib-libstdc-so-6-version-GLIBCXX-3-4-11-not-found-re-tp3995424.html
> Sent from the Dev mailing list archive at Nabble.com.
> _______________________________________________
> LibreOffice mailing list
> [hidden email]
> http://lists.freedesktop.org/mailman/listinfo/libreoffice

_______________________________________________
LibreOffice mailing list
[hidden email]
http://lists.freedesktop.org/mailman/listinfo/libreoffice
Ruslan Kabatsayev Ruslan Kabatsayev
Reply | Threaded
Open this post in threaded view
|

Re: Gtk-WARNING **: /opt/libreoffice3.6/program/../ure-link/lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /usr/lib/i386-linux-gnu/gtk-2.0/2.10.0/engines/liboxygen-gtk.so)

Then just don't install *stdlibs* package from the package set you've
downloaded.

On Sat, Jul 14, 2012 at 4:39 PM, Nikola Yanev <[hidden email]> wrote:

> I am talking about the one downloaded from the doc.foundation preleases.
>
> On Jul 14, 2012 12:47 PM, "Ruslan Kabatsayev" <[hidden email]> wrote:
>>
>> Hi,
>>
>> You should compile LO with --with-system-stdlibs to make plugins
>> (oxygen-gtk theme) not conflict with custom stdc++.
>>
>> Regards,
>> Ruslan
>>
>> On Sat, Jul 14, 2012 at 12:37 PM, gericom <[hidden email]>
>> wrote:
>> > Gtk-WARNING **:
>> > /opt/libreoffice3.6/program/../ure-link/lib/libstdc++.so.6:
>> > version `GLIBCXX_3.4.11' not found (required by
>> > /usr/lib/i386-linux-gnu/gtk-2.0/2.10.0/engines/liboxygen-gtk.so)
>> >
>> > If i am using the local version of libstdc++.so.6 LO doesn't want even
>> > to
>> > start, but with the lo preinstalled libstdc++ it's just giving me that
>> > error
>> > and crashing.
>> >
>> > LibreOffice 3.6.0-RC1 on Debian unstable
>> >
>> > Also tried with new profiles and so on...
>> >
>> > Thanx,
>> > Nikola Yanev
>> >
>> > --
>> > View this message in context:
>> > http://nabble.documentfoundation.org/Gtk-WARNING-opt-libreoffice3-6-program-ure-link-lib-libstdc-so-6-version-GLIBCXX-3-4-11-not-found-re-tp3995424.html
>> > Sent from the Dev mailing list archive at Nabble.com.
>> > _______________________________________________
>> > LibreOffice mailing list
>> > [hidden email]
>> > http://lists.freedesktop.org/mailman/listinfo/libreoffice
_______________________________________________
LibreOffice mailing list
[hidden email]
http://lists.freedesktop.org/mailman/listinfo/libreoffice
gericom gericom
Reply | Threaded
Open this post in threaded view
|

Re: Gtk-WARNING **: /opt/libreoffice3.6/program/../ure-link/lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /usr/lib/i386-linux-gnu/gtk-2.0/2.10.0/engines/liboxygen-gtk.so)

I have already tried that,but then it just won't start. No error is thrown in the terminal.

On Jul 14, 2012 3:41 PM, "Ruslan Kabatsayev" <[hidden email]> wrote:
Then just don't install *stdlibs* package from the package set you've
downloaded.

On Sat, Jul 14, 2012 at 4:39 PM, Nikola Yanev <[hidden email]> wrote:
> I am talking about the one downloaded from the doc.foundation preleases.
>
> On Jul 14, 2012 12:47 PM, "Ruslan Kabatsayev" <[hidden email]> wrote:
>>
>> Hi,
>>
>> You should compile LO with --with-system-stdlibs to make plugins
>> (oxygen-gtk theme) not conflict with custom stdc++.
>>
>> Regards,
>> Ruslan
>>
>> On Sat, Jul 14, 2012 at 12:37 PM, gericom <[hidden email]>
>> wrote:
>> > Gtk-WARNING **:
>> > /opt/libreoffice3.6/program/../ure-link/lib/libstdc++.so.6:
>> > version `GLIBCXX_3.4.11' not found (required by
>> > /usr/lib/i386-linux-gnu/gtk-2.0/2.10.0/engines/liboxygen-gtk.so)
>> >
>> > If i am using the local version of libstdc++.so.6 LO doesn't want even
>> > to
>> > start, but with the lo preinstalled libstdc++ it's just giving me that
>> > error
>> > and crashing.
>> >
>> > LibreOffice 3.6.0-RC1 on Debian unstable
>> >
>> > Also tried with new profiles and so on...
>> >
>> > Thanx,
>> > Nikola Yanev
>> >
>> > --
>> > View this message in context:
>> > http://nabble.documentfoundation.org/Gtk-WARNING-opt-libreoffice3-6-program-ure-link-lib-libstdc-so-6-version-GLIBCXX-3-4-11-not-found-re-tp3995424.html
>> > Sent from the Dev mailing list archive at Nabble.com.
>> > _______________________________________________
>> > LibreOffice mailing list
>> > [hidden email]
>> > http://lists.freedesktop.org/mailman/listinfo/libreoffice

_______________________________________________
LibreOffice mailing list
[hidden email]
http://lists.freedesktop.org/mailman/listinfo/libreoffice
Ruslan Kabatsayev Ruslan Kabatsayev
Reply | Threaded
Open this post in threaded view
|

Re: Gtk-WARNING **: /opt/libreoffice3.6/program/../ure-link/lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /usr/lib/i386-linux-gnu/gtk-2.0/2.10.0/engines/liboxygen-gtk.so)

What if you set SAL_USE_VCLPLUGIN=gen before starting soffice? What if
you remove oxygen-gtk having stdlibs installed?

On Sat, Jul 14, 2012 at 4:46 PM, Nikola Yanev <[hidden email]> wrote:

> I have already tried that,but then it just won't start. No error is thrown
> in the terminal.
>
> On Jul 14, 2012 3:41 PM, "Ruslan Kabatsayev" <[hidden email]> wrote:
>>
>> Then just don't install *stdlibs* package from the package set you've
>> downloaded.
>>
>> On Sat, Jul 14, 2012 at 4:39 PM, Nikola Yanev <[hidden email]>
>> wrote:
>> > I am talking about the one downloaded from the doc.foundation preleases.
>> >
>> > On Jul 14, 2012 12:47 PM, "Ruslan Kabatsayev" <[hidden email]>
>> > wrote:
>> >>
>> >> Hi,
>> >>
>> >> You should compile LO with --with-system-stdlibs to make plugins
>> >> (oxygen-gtk theme) not conflict with custom stdc++.
>> >>
>> >> Regards,
>> >> Ruslan
>> >>
>> >> On Sat, Jul 14, 2012 at 12:37 PM, gericom <[hidden email]>
>> >> wrote:
>> >> > Gtk-WARNING **:
>> >> > /opt/libreoffice3.6/program/../ure-link/lib/libstdc++.so.6:
>> >> > version `GLIBCXX_3.4.11' not found (required by
>> >> > /usr/lib/i386-linux-gnu/gtk-2.0/2.10.0/engines/liboxygen-gtk.so)
>> >> >
>> >> > If i am using the local version of libstdc++.so.6 LO doesn't want
>> >> > even
>> >> > to
>> >> > start, but with the lo preinstalled libstdc++ it's just giving me
>> >> > that
>> >> > error
>> >> > and crashing.
>> >> >
>> >> > LibreOffice 3.6.0-RC1 on Debian unstable
>> >> >
>> >> > Also tried with new profiles and so on...
>> >> >
>> >> > Thanx,
>> >> > Nikola Yanev
>> >> >
>> >> > --
>> >> > View this message in context:
>> >> >
>> >> > http://nabble.documentfoundation.org/Gtk-WARNING-opt-libreoffice3-6-program-ure-link-lib-libstdc-so-6-version-GLIBCXX-3-4-11-not-found-re-tp3995424.html
>> >> > Sent from the Dev mailing list archive at Nabble.com.
>> >> > _______________________________________________
>> >> > LibreOffice mailing list
>> >> > [hidden email]
>> >> > http://lists.freedesktop.org/mailman/listinfo/libreoffice
_______________________________________________
LibreOffice mailing list
[hidden email]
http://lists.freedesktop.org/mailman/listinfo/libreoffice
gericom gericom
Reply | Threaded
Open this post in threaded view
|

Re: Gtk-WARNING **: /opt/libreoffice3.6/program/../ure-link/lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /usr/lib/i386-linux-gnu/gtk-2.0/2.10.0/engines/liboxygen-gtk.so)

I will try it tonight, but the same system with lo 3.5.5 gives me no problem. I will try the one tou are telling me and will write down.

On Jul 14, 2012 3:51 PM, "Ruslan Kabatsayev" <[hidden email]> wrote:
What if you set SAL_USE_VCLPLUGIN=gen before starting soffice? What if
you remove oxygen-gtk having stdlibs installed?

On Sat, Jul 14, 2012 at 4:46 PM, Nikola Yanev <[hidden email]> wrote:
> I have already tried that,but then it just won't start. No error is thrown
> in the terminal.
>
> On Jul 14, 2012 3:41 PM, "Ruslan Kabatsayev" <[hidden email]> wrote:
>>
>> Then just don't install *stdlibs* package from the package set you've
>> downloaded.
>>
>> On Sat, Jul 14, 2012 at 4:39 PM, Nikola Yanev <[hidden email]>
>> wrote:
>> > I am talking about the one downloaded from the doc.foundation preleases.
>> >
>> > On Jul 14, 2012 12:47 PM, "Ruslan Kabatsayev" <[hidden email]>
>> > wrote:
>> >>
>> >> Hi,
>> >>
>> >> You should compile LO with --with-system-stdlibs to make plugins
>> >> (oxygen-gtk theme) not conflict with custom stdc++.
>> >>
>> >> Regards,
>> >> Ruslan
>> >>
>> >> On Sat, Jul 14, 2012 at 12:37 PM, gericom <[hidden email]>
>> >> wrote:
>> >> > Gtk-WARNING **:
>> >> > /opt/libreoffice3.6/program/../ure-link/lib/libstdc++.so.6:
>> >> > version `GLIBCXX_3.4.11' not found (required by
>> >> > /usr/lib/i386-linux-gnu/gtk-2.0/2.10.0/engines/liboxygen-gtk.so)
>> >> >
>> >> > If i am using the local version of libstdc++.so.6 LO doesn't want
>> >> > even
>> >> > to
>> >> > start, but with the lo preinstalled libstdc++ it's just giving me
>> >> > that
>> >> > error
>> >> > and crashing.
>> >> >
>> >> > LibreOffice 3.6.0-RC1 on Debian unstable
>> >> >
>> >> > Also tried with new profiles and so on...
>> >> >
>> >> > Thanx,
>> >> > Nikola Yanev
>> >> >
>> >> > --
>> >> > View this message in context:
>> >> >
>> >> > http://nabble.documentfoundation.org/Gtk-WARNING-opt-libreoffice3-6-program-ure-link-lib-libstdc-so-6-version-GLIBCXX-3-4-11-not-found-re-tp3995424.html
>> >> > Sent from the Dev mailing list archive at Nabble.com.
>> >> > _______________________________________________
>> >> > LibreOffice mailing list
>> >> > [hidden email]
>> >> > http://lists.freedesktop.org/mailman/listinfo/libreoffice

_______________________________________________
LibreOffice mailing list
[hidden email]
http://lists.freedesktop.org/mailman/listinfo/libreoffice
Lionel Elie Mamane Lionel Elie Mamane
Reply | Threaded
Open this post in threaded view
|

Re: Gtk-WARNING **: /opt/libreoffice3.6/program/../ure-link/lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /usr/lib/i386-linux-gnu/gtk-2.0/2.10.0/engines/liboxygen-gtk.so)

On Sat, Jul 14, 2012 at 04:56:03PM +0300, Nikola Yanev wrote:
> I will try it tonight, but the same system with lo 3.5.5 gives me no
> problem. I will try the one tou are telling me and will write down.

It is probably worth double-checking you have uninstalled the
libreoffice3.6-stdlibs package.

> On Jul 14, 2012 3:51 PM, "Ruslan Kabatsayev" <[hidden email]> wrote:

>> What if you set SAL_USE_VCLPLUGIN=gen before starting soffice? What
>> if you remove oxygen-gtk having stdlibs installed?

--
Lionel
_______________________________________________
LibreOffice mailing list
[hidden email]
http://lists.freedesktop.org/mailman/listinfo/libreoffice
gericom gericom
Reply | Threaded
Open this post in threaded view
|

Re: Gtk-WARNING **: /opt/libreoffice3.6/program/../ure-link/lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /usr/lib/i386-linux-gnu/gtk-2.0/2.10.0/engines/liboxygen-gtk.so)

Ofcourse i did it, ill make some research about it.

On Jul 15, 2012 1:13 PM, "Lionel Elie Mamane" <[hidden email]> wrote:
On Sat, Jul 14, 2012 at 04:56:03PM +0300, Nikola Yanev wrote:
> I will try it tonight, but the same system with lo 3.5.5 gives me no
> problem. I will try the one tou are telling me and will write down.

It is probably worth double-checking you have uninstalled the
libreoffice3.6-stdlibs package.

> On Jul 14, 2012 3:51 PM, "Ruslan Kabatsayev" <[hidden email]> wrote:

>> What if you set SAL_USE_VCLPLUGIN=gen before starting soffice? What
>> if you remove oxygen-gtk having stdlibs installed?

--
Lionel

_______________________________________________
LibreOffice mailing list
[hidden email]
http://lists.freedesktop.org/mailman/listinfo/libreoffice
Michael Meeks-2 Michael Meeks-2
Reply | Threaded
Open this post in threaded view
|

Re: Gtk-WARNING **: /opt/libreoffice3.6/program/../ure-link/lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /usr/lib/i386-linux-gnu/gtk-2.0/2.10.0/engines/liboxygen-gtk.so)

In reply to this post by gericom

On Sat, 2012-07-14 at 15:46 +0300, Nikola Yanev wrote:
> I have already tried that,but then it just won't start. No error is
> thrown in the terminal.

        Great report then :-) it'd be good to debug the version without the
legacy libstdc++ installed. Getting an strace -f of the startup there
would prolly be rather useful:

        strace -f -s 256 -o /tmp/slog ./soffice

        and attach the compressed slog to a bug I guess ? :-) [ be nice to know
the number ].

        Thanks,

                Michael.

--
[hidden email]  <><, Pseudo Engineer, itinerant idiot

_______________________________________________
LibreOffice mailing list
[hidden email]
http://lists.freedesktop.org/mailman/listinfo/libreoffice
gericom gericom
Reply | Threaded
Open this post in threaded view
|

Re: Gtk-WARNING **: /opt/libreoffice3.6/program/../ure-link/lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /usr/lib/i386-linux-gnu/gtk-2.0/2.10.0/engines/liboxygen-gtk.so)

Here is the outpus of strace, sorry didn't thought about it.


--


Nikola Yanev
http://www.gericom.free.bg
http://www.gericom.wordpress.com
Linux, Mac OS X & Windows installing
Open Source Software support and translations
Part of Debian/Ubuntu Bulgarian Translators Team
PC/Laptops cleaning, PC Hardware/Software reparation/renovation,
Trainings, Graphical adds., Amateur Photography.
Mobile:+359885321589
EUROPE
Bulgaria
8001 Burgas
57 "Macedonia" str. 1st floor, 2nd apartment
---This mail was sent from Debian KDE by KMail---
http://userbase.kde.org/KMail
sberg sberg
Reply | Threaded
Open this post in threaded view
|

Re: Gtk-WARNING **: /opt/libreoffice3.6/program/../ure-link/lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /usr/lib/i386-linux-gnu/gtk-2.0/2.10.0/engines/liboxygen-gtk.so)

On 07/16/2012 04:55 PM, gericom wrote:
> Here is the outpus of strace, sorry didn't thought about it.

...but that's with /opt/libreoffice3.6/ure-link/lib/libstdc++.so.6 still
there (so outputting the "version `GLIBCXX_3.4.11' not found" failure).

Stephan
_______________________________________________
LibreOffice mailing list
[hidden email]
http://lists.freedesktop.org/mailman/listinfo/libreoffice
gericom gericom
Reply | Threaded
Open this post in threaded view
|

Re: Gtk-WARNING **: /opt/libreoffice3.6/program/../ure-link/lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /usr/lib/i386-linux-gnu/gtk-2.0/2.10.0/engines/liboxygen-gtk.so)

sorry, here is the one without stdlib

On Mon, Jul 16, 2012 at 6:02 PM, Stephan Bergmann-2 [via Document Foundation Mail Archive] <[hidden email]> wrote:
On 07/16/2012 04:55 PM, gericom wrote:
> Here is the outpus of strace, sorry didn't thought about it.

...but that's with /opt/libreoffice3.6/ure-link/lib/libstdc++.so.6 still
there (so outputting the "version `GLIBCXX_3.4.11' not found" failure).

Stephan
_______________________________________________
LibreOffice mailing list
[hidden email]
http://lists.freedesktop.org/mailman/listinfo/libreoffice



To unsubscribe from Gtk-WARNING **: /opt/libreoffice3.6/program/../ure-link/lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /usr/lib/i386-linux-gnu/gtk-2.0/2.10.0/engines/liboxygen-gtk.so), click here.
NAML



--


Nikola Yanev
http://www.gericom.free.bg
http://www.gericom.wordpress.com
Linux, Mac OS X & Windows installing
Open Source Software support and translations
Part of Debian/Ubuntu Bulgarian Translators Team
PC/Laptops cleaning, PC Hardware/Software reparation/renovation,
Trainings, Graphical adds., Amateur Photography.
Mobile:+359885321589
EUROPE
Bulgaria
8001 Burgas
57 "Macedonia" str. 1st floor, 2nd apartment
---This mail was sent from Debian KDE by KMail---
http://userbase.kde.org/KMail

lo-no-stdc (2M) Download Attachment
Ruslan Kabatsayev Ruslan Kabatsayev
Reply | Threaded
Open this post in threaded view
|

Re: Gtk-WARNING **: /opt/libreoffice3.6/program/../ure-link/lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /usr/lib/i386-linux-gnu/gtk-2.0/2.10.0/engines/liboxygen-gtk.so)

There is a segfault in the trace. Try running soffice.bin in gdb and getting a backtrace after crash.

On Tue, Jul 17, 2012 at 12:23 AM, gericom <[hidden email]> wrote:
sorry, here is the one without stdlib

On Mon, Jul 16, 2012 at 6:02 PM, Stephan Bergmann-2 [via Document Foundation Mail Archive] <[hidden email]> wrote:
On 07/16/2012 04:55 PM, gericom wrote:
> Here is the outpus of strace, sorry didn't thought about it.

...but that's with /opt/libreoffice3.6/ure-link/lib/libstdc++.so.6 still
there (so outputting the "version `GLIBCXX_3.4.11' not found" failure).

Stephan
_______________________________________________
LibreOffice mailing list
[hidden email]
http://lists.freedesktop.org/mailman/listinfo/libreoffice



To unsubscribe from Gtk-WARNING **: /opt/libreoffice3.6/program/../ure-link/lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /usr/lib/i386-linux-gnu/gtk-2.0/2.10.0/engines/liboxygen-gtk.so), click here.
NAML



--


Nikola Yanev
http://www.gericom.free.bg
http://www.gericom.wordpress.com
Linux, Mac OS X & Windows installing
Open Source Software support and translations
Part of Debian/Ubuntu Bulgarian Translators Team
PC/Laptops cleaning, PC Hardware/Software reparation/renovation,
Trainings, Graphical adds., Amateur Photography.
Mobile:+359885321589
EUROPE
Bulgaria
8001 Burgas
57 "Macedonia" str. 1st floor, 2nd apartment
---This mail was sent from Debian KDE by KMail---
http://userbase.kde.org/KMail

lo-no-stdc (2M) Download Attachment

_______________________________________________
LibreOffice mailing list
[hidden email]
http://lists.freedesktop.org/mailman/listinfo/libreoffice



_______________________________________________
LibreOffice mailing list
[hidden email]
http://lists.freedesktop.org/mailman/listinfo/libreoffice
Michael Stahl-2 Michael Stahl-2
Reply | Threaded
Open this post in threaded view
|

Re: Gtk-WARNING **: /opt/libreoffice3.6/program/../ure-link/lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /usr/lib/i386-linux-gnu/gtk-2.0/2.10.0/engines/liboxygen-gtk.so)

In reply to this post by gericom
On 16/07/12 22:23, gericom wrote:
> sorry, here is the one without stdlib

> 11654 open("/home/gericom/.fonts/Scriptorama.ttf", O_RDONLY) = 22
> 11654 fstat64(22, {st_mode=S_IFREG|0644, st_size=148436, ...}) = 0
> 11654 mmap2(NULL, 148436, PROT_READ, MAP_SHARED, 22, 0) = 0xaface000
> 11654 close(22)                         = 0
> 11654 --- SIGSEGV (Segmentation fault) @ 0 (0) ---

looks like something's crashing trying to read that Scriptorama.ttf.
does it work if you move it out of the way?

does anybody know whether VCL read all these fonts on startup or is that
fontconfig?

_______________________________________________
LibreOffice mailing list
[hidden email]
http://lists.freedesktop.org/mailman/listinfo/libreoffice
Caolán McNamara Caolán McNamara
Reply | Threaded
Open this post in threaded view
|

Re: Gtk-WARNING **: /opt/libreoffice3.6/program/../ure-link/lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /usr/lib/i386-linux-gnu/gtk-2.0/2.10.0/engines/liboxygen-gtk.so)

On Tue, 2012-07-17 at 12:42 +0200, Michael Stahl wrote:

> On 16/07/12 22:23, gericom wrote:
> > sorry, here is the one without stdlib
>
> > 11654 open("/home/gericom/.fonts/Scriptorama.ttf", O_RDONLY) = 22
> > 11654 fstat64(22, {st_mode=S_IFREG|0644, st_size=148436, ...}) = 0
> > 11654 mmap2(NULL, 148436, PROT_READ, MAP_SHARED, 22, 0) = 0xaface000
> > 11654 close(22)                         = 0
> > 11654 --- SIGSEGV (Segmentation fault) @ 0 (0) ---
>
> looks like something's crashing trying to read that Scriptorama.ttf.
> does it work if you move it out of the way?
>
> does anybody know whether VCL read all these fonts on startup or is that
> fontconfig?

fontconfig tells vcl that they exist, and the first time vcl sees a new
font it will open it and cache its findings in that psprint.conf
under .config/libreoffice somewhere or other.

C.

_______________________________________________
LibreOffice mailing list
[hidden email]
http://lists.freedesktop.org/mailman/listinfo/libreoffice
gericom gericom
Reply | Threaded
Open this post in threaded view
|

Re: Gtk-WARNING **: /opt/libreoffice3.6/program/../ure-link/lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /usr/lib/i386-linux-gnu/gtk-2.0/2.10.0/engines/liboxygen-gtk.so)

Thanx to all, deleting ~/.fontconig and that font Scriptorama.ttf did the trick, now everything runs smooth.
Thanx once again for your help!

On Tue, Jul 17, 2012 at 2:42 PM, Caolán McNamara [via Document Foundation Mail Archive] <[hidden email]> wrote:
On Tue, 2012-07-17 at 12:42 +0200, Michael Stahl wrote:

> On 16/07/12 22:23, gericom wrote:
> > sorry, here is the one without stdlib
>
> > 11654 open("/home/gericom/.fonts/Scriptorama.ttf", O_RDONLY) = 22
> > 11654 fstat64(22, {st_mode=S_IFREG|0644, st_size=148436, ...}) = 0
> > 11654 mmap2(NULL, 148436, PROT_READ, MAP_SHARED, 22, 0) = 0xaface000
> > 11654 close(22)                         = 0
> > 11654 --- SIGSEGV (Segmentation fault) @ 0 (0) ---
>
> looks like something's crashing trying to read that Scriptorama.ttf.
> does it work if you move it out of the way?
>
> does anybody know whether VCL read all these fonts on startup or is that
> fontconfig?
fontconfig tells vcl that they exist, and the first time vcl sees a new
font it will open it and cache its findings in that psprint.conf
under .config/libreoffice somewhere or other.

C.

_______________________________________________
LibreOffice mailing list
[hidden email]
http://lists.freedesktop.org/mailman/listinfo/libreoffice



To unsubscribe from Gtk-WARNING **: /opt/libreoffice3.6/program/../ure-link/lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /usr/lib/i386-linux-gnu/gtk-2.0/2.10.0/engines/liboxygen-gtk.so), click here.
NAML



--


Nikola Yanev
http://www.gericom.free.bg
http://www.gericom.wordpress.com
Linux, Mac OS X & Windows installing
Open Source Software support and translations
Part of Debian/Ubuntu Bulgarian Translators Team
PC/Laptops cleaning, PC Hardware/Software reparation/renovation,
Trainings, Graphical adds., Amateur Photography.
Mobile:+359885321589
EUROPE
Bulgaria
8001 Burgas
57 "Macedonia" str. 1st floor, 2nd apartment
---This mail was sent from Debian KDE by KMail---
http://userbase.kde.org/KMail
Michael Stahl-2 Michael Stahl-2
Reply | Threaded
Open this post in threaded view
|

Re: Gtk-WARNING **: /opt/libreoffice3.6/program/../ure-link/lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /usr/lib/i386-linux-gnu/gtk-2.0/2.10.0/engines/liboxygen-gtk.so)

On 17/07/12 16:30, gericom wrote:
> Thanx to all, deleting ~/.fontconig and that font Scriptorama.ttf did
> the trick, now everything runs smooth.
> Thanx once again for your help!

could you please file a bug and attach the crasher font there?

i'm sure there's a bug somewhere, LO shouldn't crash reading it.
_______________________________________________
LibreOffice mailing list
[hidden email]
http://lists.freedesktop.org/mailman/listinfo/libreoffice
ChrSchultz ChrSchultz
Reply | Threaded
Open this post in threaded view
|

Re: Gtk-WARNING **: /opt/libreoffice3.6/program/../ure-link/lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /usr/lib/i386-linux-gnu/gtk-2.0/2.10.0/engines/liboxygen-gtk.so)

I created a symbolic link from the system libstdc++.so.6 to the /opt/libreoffice3.6/ure/lib/libstdc++.so.6 and the are no  warnings more ...

Many greatings
Christoph
Ruslan Kabatsayev Ruslan Kabatsayev
Reply | Threaded
Open this post in threaded view
|

Re: Gtk-WARNING **: /opt/libreoffice3.6/program/../ure-link/lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /usr/lib/i386-linux-gnu/gtk-2.0/2.10.0/engines/liboxygen-gtk.so)

On Wed, Oct 10, 2012 at 12:41 AM, ChrSchultz <[hidden email]> wrote:
> I created a symbolic link from the system libstdc++.so.6 to the
> /opt/libreoffice3.6/ure/lib/libstdc++.so.6 and the are no  warnings more ...
Just remove /opt/libreoffice3.6/ure/lib/libstdc++.so.6 or better yet
don't install stdlib part of libreoffice distribution.

>
> Many greatings
> Christoph
>
>
>
> --
> View this message in context: http://nabble.documentfoundation.org/Gtk-WARNING-opt-libreoffice3-6-program-ure-link-lib-libstdc-so-6-version-GLIBCXX-3-4-11-not-found-re-tp3995424p4012391.html
> Sent from the Dev mailing list archive at Nabble.com.
> _______________________________________________
> LibreOffice mailing list
> [hidden email]
> http://lists.freedesktop.org/mailman/listinfo/libreoffice
_______________________________________________
LibreOffice mailing list
[hidden email]
http://lists.freedesktop.org/mailman/listinfo/libreoffice